Bug 952343 - Review Request: python-svg-path - SVG path objects and parser
Summary: Review Request: python-svg-path - SVG path objects and parser
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yohan Graterol
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 952355
TreeView+ depends on / blocked
 
Reported: 2013-04-15 18:00 UTC by Ralph Bean
Modified: 2013-08-10 12:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-10 12:31:29 UTC
yohangraterol92: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-04-15 18:00:58 UTC
Spec URL: http://ralph.fedorapeople.org//python-svg-path.spec
SRPM URL: http://ralph.fedorapeople.org//python-svg-path-1.0b1-1.fc18.src.rpm

Description:
svg.path is a collection of objects that implement the different path
commands in SVG, and a parser for SVG path definitions.

Comment 1 Ralph Bean 2013-04-15 18:01:05 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5255408

Comment 2 Yohan Graterol 2013-04-21 19:28:45 UTC
Hello Ralph,

I will do the formal review.

Package Review
==============
 
Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed
 
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -svg-path
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/rpmbuild/SRPMS/952343-python-svg-
     path/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
 
Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
 
===== SHOULD items =====
 
Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
 
===== EXTRA items =====
 
Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: python-svg-path-1.0b1-1.fc20.noarch.rpm
          python3-svg-path-1.0b1-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
# rpmlint python3-svg-path python-svg-path
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'
 
 
 
Requires
--------
python3-svg-path (rpmlib, GLIBC filtered):
    python(abi)
    python3-setuptools
 
python-svg-path (rpmlib, GLIBC filtered):
    python(abi)
    python-setuptools
 
 
 
Provides
--------
python3-svg-path:
    python3-svg-path
 
python-svg-path:
    python-svg-path
 
 
 
MD5-sum check
-------------
http://pypi.python.org/packages/source/s/svg.path/svg.path-1.0b1.tar.gz :
  CHECKSUM(SHA256) this package     : 232beed980eed36f46b55133b8675a2172ab630b3864e3ae87a7178551402102
  CHECKSUM(SHA256) upstream package : 232beed980eed36f46b55133b8675a2172ab630b3864e3ae87a7178551402102

----------------

PACKAGE APPROVED

----------------

Comment 3 Ralph Bean 2013-04-22 19:57:35 UTC
Thank you, Yohan.

Comment 4 Ralph Bean 2013-04-22 19:58:19 UTC
New Package SCM Request
=======================
Package Name: python-svg-path
Short Description: SVG path objects and parser
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-04-22 20:07:42 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-04-23 01:15:41 UTC
python-svg-path-1.0b1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-svg-path-1.0b1-1.fc19

Comment 7 Fedora Update System 2013-04-23 01:15:58 UTC
python-svg-path-1.0b1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-svg-path-1.0b1-1.fc18

Comment 8 Fedora Update System 2013-04-23 01:16:18 UTC
python-svg-path-1.0b1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-svg-path-1.0b1-1.fc17

Comment 9 Fedora Update System 2013-04-23 01:16:37 UTC
python-svg-path-1.0b1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-svg-path-1.0b1-1.el6

Comment 10 Fedora Update System 2013-05-09 09:54:52 UTC
python-svg-path-1.0b1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-05-09 10:07:59 UTC
python-svg-path-1.0b1-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2013-05-09 18:47:00 UTC
python-svg-path-1.0b1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-05-14 17:46:36 UTC
python-svg-path-1.0b1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Ralph Bean 2013-08-10 12:31:29 UTC
Updates have been pushed to stable.  Closing this ticket.


Note You need to log in before you can comment on or make changes to this bug.